// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/visualhpdi32/win32/ini.h $
// $Rev: 2809 $
// $Date: 2009-07-29 21:26:35 -0500 (Wed, 29 Jul 2009) $

/*****************************************************************************
*
*	Export common .ini file items for the application.
*
*****************************************************************************/

#ifndef __INI_H__
#define	__INI_H__

#include "visual.h"	/*lint !e537 */



/* prototypes	*************************************************************/

void	ini_init(void);

int		ini_bool_get(	const char*		file,
						const char*		section,
						const char*		key,
						BOOL*			value,
						BOOL			defalt);

void	ini_bool_set(	const char*		file,
						const char*		section,
						const char*		key,
						BOOL			value);

int		ini_int_get(	const char*		file,
						const char*		section,
						const char*		key,
						int*			value,
						int				defalt);

void	ini_int_set(	const char*		file,
						const char*		section,
						const char*		key,
						int				value);

int		ini_str_get(	const char*		file,
						const char*		section,
						const char*		key,
						char*			value,
						size_t			size);

void	ini_str_set(	const char*		file,
						const char*		section,
						const char*		key,
						const char*		value);

int		ini_u32_get(	const char*		file,
						const char*		section,
						const char*		key,
						U32*			value,
						U32				defalt);

void	ini_u32_set(	const char*		file,
						const char*		section,
						const char*		key,
						U32				value);



#endif
