#include <stdio.h>

#include "hpdi32.h"
#include "hpdi32_dsl.h"

U32	hpdi32_dsl_reg_bcr_write(void* handle, U32 value, int verbose)
{
	U32	status;

	status	= hpdi32_reg_write(handle, HPDI32_BCR, value);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("hpdi32_reg_write() failure: %ld\n", (long) status);
	}
	else
	{
		printf("BCR Write: 0x%lX\n", (long) value);
	}

	return(status);
}
