// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/ringbuf/win32/gui_close.c $
// $Rev: 2809 $
// $Date: 2009-07-29 21:26:35 -0500 (Wed, 29 Jul 2009) $

#include <windows.h>

#include "gui.h"



/*****************************************************************************
*
*	Function:	close_refresh
*
*	Purpose:
*
*		Refresh the Rx Enable menu items.
*
*	Arguments:
*
*		None.
*
*	Returned:
*
*		None.
*
*****************************************************************************/

void close_refresh(void)
{
	UINT	enable;
	HMENU	menu;

	if (gui.working)
		enable	= MF_BYCOMMAND | MF_GRAYED;
	else
		enable	= MF_BYCOMMAND | MF_ENABLED;

	menu	= GetSystemMenu(gui.dlg, FALSE);
	EnableMenuItem(menu, SC_CLOSE, enable);
}


