// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/ringbuf/win32/winmain.c $
// $Rev: 2902 $
// $Date: 2009-08-09 17:48:49 -0500 (Sun, 09 Aug 2009) $

#include <windows.h>

#include "ringbuf.h"



/*****************************************************************************
*
*	Function:	WinMain
*
*	Purpose:
*
*		Implement the application entry point.
*
*	Arguments:
*
*		TBD
*
*	Returned:
*
*		TBD
*
*****************************************************************************/

int APIENTRY WinMain(	HINSTANCE	hInstance,
						HINSTANCE	hPrevInstance,
						LPSTR		lpCmdLine,
						int			nCmdShow)
{
	BOOL	pass;
	MSG		msg;

	pass	= gui_init(hInstance);

	if (pass)
		gui_open();

	msg.wParam= 0;

	if (pass)
	{
		while (GetMessage(&msg, NULL, 0, 0))
		{
			TranslateMessage(&msg);
			DispatchMessage(&msg);
		}
	}

	return((int) msg.wParam);
}


